﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataTreeTemplateSelectorDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<10; i++)
            {
                SampleData sd = new SampleData() { ID = i, Label = "Item " + i.ToString(), IsOdd = (i % 2 != 0) };
                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public bool IsOdd { get; set; }
    }
}
